From 336dca81578cfec85a5be45642ff408b85c15400 Mon Sep 17 00:00:00 2001
From: Chih-Hung Hsieh <chh@google.com>
Date: Wed, 9 Sep 2015 13:59:19 -0700
Subject: [PATCH] Initialize variable before use.

Some compiler does not know that error function never returns.

Signed-off-by: Chih-Hung Hsieh <chh@google.com>
---
 src/ChangeLog | 6 ++++++
 src/readelf.c | 3 ++-
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/src/ChangeLog b/src/ChangeLog
index fb92807..238c416 100644
--- a/src/ChangeLog
+++ b/src/ChangeLog
@@ -1,3 +1,9 @@
+2015-09-09  Chih-Hung Hsieh  <chh@google.com>
+
+	* readelf.c (print_debug_exception_table): Initialize variable before
+	it is used, because compiler does not know that error never returns.
+	(dump_arhive_index): Likewise.
+
 2015-09-04  Chih-Hung Hsieh  <chh@google.com>
 
 	* elflint.c (check_group): Replace %Z length modifier with %z.
diff --git a/src/readelf.c b/src/readelf.c
index 8e64400..33274f3 100644
--- a/src/readelf.c
+++ b/src/readelf.c
@@ -7910,6 +7910,7 @@ print_debug_exception_table (Dwfl_Module *dwflmod __attribute__ ((unused)),
 	  dsize = 8;
 	  break;
 	default:
+	  dsize = 0;
 	  error (1, 0, gettext ("invalid TType encoding"));
 	}
 
@@ -9567,7 +9568,7 @@ dump_archive_index (Elf *elf, const char *fname)
 	{
 	  as_off = s->as_off;
 
-	  Elf *subelf;
+	  Elf *subelf = NULL;
 	  if (unlikely (elf_rand (elf, as_off) == 0)
 	      || unlikely ((subelf = elf_begin (-1, ELF_C_READ_MMAP, elf))
 			   == NULL))
-- 
2.6.0.rc0.131.gf624c3d

